Subject: Re: [bug#41953] [PATCH] gnu: darktable: Update to 3.0.2.
From: Marius Bakke <[email-masked]>
To: Vinicius Monego <[email-masked]>, [email-masked]
Cc: Vinicius Monego <[email-masked]>
Date: Mon, 22 Jun 2020 23:11:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Vinicius Monego <[email-masked]> writes:

> * gnu/packages/photo.scm (darktable): Update to 3.0.2.
> [arguments]: Compile with clang.
> [arguments]: Wrap GSETTINGS_SCHEMAS_DIR.
> [license]: Add license information for Rawspeed.
> [native-inputs]: Add clang.
> [native-inputs]: Add desktop-file-utils.
> [native-inputs]: Add glib.
> [native-inputs]: Add gobject-instrospection.
> [native-inputs]: Add llvm.
> [native-inputs]: Add po4a.
> [native-inputs]: Reorder alphabetically.
> [inputs]: Add colord-gtk.
> [inputs]: Add cups.
> [inputs]: Add graphicsmagick.
> [inputs]: Add gsettings-desktop-schemas.
> [inputs]: Add iso-codes.
> [inputs]: Add libsecret.
> [inputs]: Add lua.
> [inputs]: Add openjpeg.
> [inputs]: Add osm-gps-map.
> [inputs]: Reorder alphabetically.

Thanks!  I flattened this commit message so there is just a single entry
for each of the changed fields.

>         (modify-phases %standard-phases
> +         (add-before 'configure 'prepare-build-environment
> +           (lambda* (#:key inputs #:allow-other-keys)
> +             (setenv "CC" "clang") (setenv "CXX" "clang++")))

I tried building with GCC, and indeed it failed.  First because ISL was
not enabled, so I added 'gcc-9' which has it and adjusted
CPLUS_INCLUDE_PATH accordingly, but still ran into problems.

It would be good to move to GCC eventually because Clang is not nearly
as well tested.  :-)

Anyway thanks for the patch, applied!